Request Quote

Checks driver availability, validates details and returns a delivery ETA as well as the driver fee to complete a delivery based on given restaurant location and the customer’s delivery address. This request precedes the delivery request.

Below is an example request body payload for requesting a quote.

{
    "order_number": "311224",
    "location_code": "d4663c18-010c-2842-bb5c-2cd4c493f3e3",
    "customer_name": "Justin Langer",
    "customer_phone": "14357609000",
    "pickup_at_ready": "2022-02-25T20:30:00Z",
    "delivery_time_utc": "2022-02-25T21:00:00Z",
    "delivery_instruction": "Press buzzer #2 and wait for response",
    "order_type": "delivery",
    "requires_id": false,
    "requires_dropoff_signature": false,
    "tax": 200,
    "tip": 400,
    "total": 3000,
    "full_dropoff_address": {
        "address_line_1": "184 West Englewood Avenue",
        "address_line_2": "",
        "city": "Teaneck",
        "state": "NJ",
        "postal_code": "07666",
        "country": "US"
    },
    "external_id": "del_276403BA7391",
    "order_items": [
        {
            "name": "Spicy Chicken Wings",
            "price": 300,
            "quantity": 2
        }
    ]
}
payload propertytypedescription
order_numberstringSimplified order number of the order. This value is provided to the drivers and referenced during the pick up
location_codestringUnique identifier representing the location (store id) used in the Create Location API.
providersarrayOverrides currently configured providers for the location and requests a quote from the given list of providers (optional)
customer_namestringName of the customer
customer_phonestringPhone number of the customer in E.164 format
pickup_at_readytimestampDate / time of when the order is ready to be picked up from the location by a driver. This timestamp must be provided in UTC. If "pickup_at_ready" and "delivery_time_utc" fields are not specified then the order is treated as an ASAP order and a driver will be requested immediately.
(optional)
delivery_time_utctimestampDate / time of when the order must be delivered to the customer. This timestamp must be provided in UTC. This parameter is used for scheduled orders. If "pickup_at_ready" and "delivery_time_utc" fields are not specified then the order is treated as an ASAP order and a driver will be requested immediately.
(optional)
delivery_instructionstringDelivery instruction provided by the customer.
order_typestring"delivery" or "pickup". Pickup orders will be ignored
requires_idbooleanWhether the driver needs to perform an ID check before handing over the order to the customer. (used for orders with age requirements such as alcohol)
requires_dropoff_signaturebooleanWhether a customer signature is necessary as a proof of delivery.
taxintegerAmount of tax included (in cents)
tipintegerTip specified by the customer (in cents)
totalintegerGrand total amount for the order (in cents)
full_dropoff_addressobjectCustomer address details
external_idstringId of the order in the 3rd party solution for tagging purposes. Used for retrieving order details using the 3rd party order reference. This value is not exposed to the drivers.
(optional)
order_itemsobjectRepresents the order line items including name (string) of the order item, price (integer) in cents, quantity (integer). This information is passed onto the driver to help pickup the correct order and to ensure the order contains the correct number of items.
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json